Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class ArrayClassDocWrapper

- org.codehaus.groovy.tools.groovydoc.ArrayClassDocWrapper

- All Implemented Interfaces and Traits:
    GroovyClassDoc

      public class ArrayClassDocWrapper
      extends Object
      implements GroovyClassDoc

  A GroovyClassDoc decorator that wraps a component-type class doc for array-type representations. All GroovyClassDoc method calls are delegated to the wrapped instance.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ArrayClassDocWrapper(GroovyClassDoc delegate)` Creates a wrapper for the given component-type class doc.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public GroovyAnnotationRef[]` | `annotations()` Returns the annotations declared on this element. Returns: the declared annotations
    `` | `public String` | `commentText()` Returns the processed comment text for this element. Returns: the rendered comment text
    `` | `public int` | `compareTo(GroovyDoc o)` {@inheritDoc}
    `` | `public GroovyConstructorDoc[]` | `constructors()` Returns the constructors declared by this type. Returns: the declared constructors
    `` | `public GroovyConstructorDoc[]` | `constructors(boolean filter)` Returns the constructors declared by this type, optionally applying the active visibility filter. Parameters: `filter` - `true` to include only visible constructors, `false` to include all constructors Returns: the matching constructors
    `` | `public GroovyClassDoc` | `containingClass()` Returns the containing class for this element. Returns: the containing class, or `null` if this element is not nested within a class
    `` | `public GroovyPackageDoc` | `containingPackage()` Returns the package that contains this element. Returns: the containing package, or `null` if none is available
    `` | `public boolean` | `definesSerializableFields()` Indicates whether this type explicitly defines serializable fields metadata. Returns: `true` if serializable fields are defined explicitly
    `` | `public GroovyFieldDoc[]` | `enumConstants()` Returns the enum constants declared by this type. Returns: the declared enum constants
    `` | `public boolean` | `equals(Object obj)` {@inheritDoc}
    `` | `public GroovyFieldDoc[]` | `fields()` Returns the fields declared by this type. Returns: the declared fields
    `` | `public GroovyFieldDoc[]` | `fields(boolean filter)` Returns the fields declared by this type, optionally applying the active visibility filter. Parameters: `filter` - `true` to include only visible fields, `false` to include all fields Returns: the matching fields
    `` | `public GroovyClassDoc` | `findClass(String className)` Resolves a referenced class name from the context of this type. Parameters: `className` - the class name to resolve Returns: the matching class documentation, or `null` if it cannot be resolved
    `` | `public String` | `firstSentenceCommentText()` Returns the first sentence of the processed comment text. Returns: the first sentence summary
    `` | `public GroovyClassDoc` | `getDelegate()` Returns the wrapped component-type class doc.
    `` | `public String` | `getFullPathName()`
    `` | `public String` | `getRawCommentText()` Returns the raw documentation comment for this element. Returns: the raw comment text
    `` | `public String` | `getRelativeRootPath()`
    `` | `public int` | `hashCode()` {@inheritDoc}
    `` | `public GroovyClassDoc[]` | `importedClasses()` Returns the explicitly imported classes visible to this type. Returns: the imported classes
    `` | `public GroovyPackageDoc[]` | `importedPackages()` Returns the imported packages visible to this type. Returns: the imported packages
    `` | `public GroovyClassDoc[]` | `innerClasses()` Returns the nested classes declared by this type. Returns: the nested classes
    `` | `public GroovyClassDoc[]` | `innerClasses(boolean filter)` Returns the nested classes declared by this type, optionally applying the active visibility filter. Parameters: `filter` - `true` to include only visible nested classes, `false` to include all nested classes Returns: the matching nested classes
    `` | `public GroovyType[]` | `interfaceTypes()` Returns the interface types directly implemented or extended by this type. Returns: the direct interface types
    `` | `public GroovyClassDoc[]` | `interfaces()` Returns the interfaces directly implemented or extended by this type. Returns: the direct interfaces
    `` | `public boolean` | `isAbstract()` Indicates whether this type is declared abstract. Returns: `true` if this type is abstract
    `` | `public boolean` | `isAnnotationType()` Indicates whether this element represents an annotation type. Returns: `true` if this element is an annotation type
    `` | `public boolean` | `isAnnotationTypeElement()` Indicates whether this element represents an annotation type member. Returns: `true` if this element is an annotation type element
    `` | `public boolean` | `isClass()` Indicates whether this element represents a class. Returns: `true` if this element is a class
    `` | `public boolean` | `isConstructor()` Indicates whether this element represents a constructor. Returns: `true` if this element is a constructor
    `` | `public boolean` | `isDeprecated()` Indicates whether this element is marked as deprecated. Returns: `true` if this element is deprecated
    `` | `public boolean` | `isEnum()` Indicates whether this element represents an enum type. Returns: `true` if this element is an enum
    `` | `public boolean` | `isEnumConstant()` Indicates whether this element represents an enum constant. Returns: `true` if this element is an enum constant
    `` | `public boolean` | `isError()` Indicates whether this element represents an error type. Returns: `true` if this element is an error
    `` | `public boolean` | `isException()` Indicates whether this element represents an exception type. Returns: `true` if this element is an exception
    `` | `public boolean` | `isExternalizable()` Indicates whether this type implements Externalizable. Returns: `true` if this type is externalizable
    `` | `public boolean` | `isField()` Indicates whether this element represents a field. Returns: `true` if this element is a field
    `` | `public boolean` | `isFinal()` Indicates whether this element is declared `final`. Returns: `true` if this element is final
    `` | `public boolean` | `isIncluded()` Indicates whether this element is included in the generated output. Returns: `true` if this element is included
    `` | `public boolean` | `isInterface()` Indicates whether this element represents an interface. Returns: `true` if this element is an interface
    `` | `public boolean` | `isMethod()` Indicates whether this element represents a method. Returns: `true` if this element is a method
    `` | `public boolean` | `isOrdinaryClass()` Indicates whether this element represents an ordinary class. Returns: `true` if this element is an ordinary class
    `` | `public boolean` | `isPackagePrivate()` Indicates whether this element has package-private visibility. Returns: `true` if this element is package-private
    `` | `public boolean` | `isPrimitive()` Indicates whether this type is a Java primitive type. Returns: `true` if this type is primitive
    `` | `public boolean` | `isPrivate()` Indicates whether this element is declared `private`. Returns: `true` if this element is private
    `` | `public boolean` | `isProtected()` Indicates whether this element is declared `protected`. Returns: `true` if this element is protected
    `` | `public boolean` | `isPublic()` Indicates whether this element is declared `public`. Returns: `true` if this element is public
    `` | `public boolean` | `isRecord()` Indicates whether this element represents a record type. Returns: `true` if this element is a record
    `` | `public boolean` | `isSerializable()` Indicates whether this type implements Serializable. Returns: `true` if this type is serializable
    `` | `public boolean` | `isStatic()` Indicates whether this element is declared `static`. Returns: `true` if this element is static
    `` | `public GroovyMethodDoc[]` | `methods()` Returns the methods declared by this type. Returns: the declared methods
    `` | `public GroovyMethodDoc[]` | `methods(boolean filter)` Returns the methods declared by this type, optionally applying the active visibility filter. Parameters: `filter` - `true` to include only visible methods, `false` to include all methods Returns: the matching methods
    `` | `public int` | `modifierSpecifier()` Returns the modifier flags for this element. Returns: the modifier bit set
    `` | `public String` | `modifiers()` Returns the rendered modifier text for this element. Returns: the modifier text
    `` | `public String` | `name()` Returns the simple name of this documented element. Returns: the element name
    `` | `public GroovyFieldDoc[]` | `properties()` Returns the Groovy properties declared by this type. Returns: the declared properties
    `` | `public String` | `qualifiedName()` Returns the fully qualified name of this element. Returns: the qualified name
    `` | `public String` | `qualifiedTypeName()` The qualified name of this type excluding any dimension information. For example, a two-dimensional array of String returns "`java.lang.String`".
    `` | `public GroovyFieldDoc[]` | `serializableFields()` Returns the fields that participate in serialization. Returns: the serializable fields
    `` | `public GroovyMethodDoc[]` | `serializationMethods()` Returns the methods related to custom serialization. Returns: the serialization methods
    `` | `public void` | `setRawCommentText(String arg0)` Replaces the raw documentation comment for this element. Parameters: `arg0` - the raw comment text to store
    `` | `public String` | `simpleTypeName()` The unqualified name of this type excluding any dimension or nesting information. For example, the class `Outer.Inner` returns "`Inner`".
    `` | `public boolean` | `subclassOf(GroovyClassDoc gcd)` Determines whether this type is a subclass of the supplied candidate. Parameters: `gcd` - the candidate superclass Returns: `true` if this type is a subclass of `gcd`
    `` | `public GroovyClassDoc` | `superclass()` Returns the direct superclass of this type. Returns: the direct superclass, or `null` if none exists
    `` | `public GroovyType` | `superclassType()` Returns the direct superclass as a type reference. Returns: the direct superclass type, or `null` if none exists
    `` | `public String` | `toString()` The qualified name including any dimension information. For example, a two-dimensional array of String returns "`java.lang.String[][]`", and the parameterized type `List<Integer>` returns "`java.util.List<java.lang.Integer>`".
    `` | `public String` | `typeName()` The unqualified name of this type excluding any dimension information. For example, a two-dimensional array of String returns "`String`".

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ArrayClassDocWrapper(GroovyClassDoc delegate)

      Creates a wrapper for the given component-type class doc.

      Parameters:
        `delegate` - the non-array class doc to wrap

  - ### Method Detail

    - #### public GroovyAnnotationRef[] annotations()

      Returns the annotations declared on this element.

      Returns:
        the declared annotations

    - #### public String commentText()

      Returns the processed comment text for this element.

      Returns:
        the rendered comment text

    - #### public int compareTo(GroovyDoc o)

      {@inheritDoc}

    - #### public GroovyConstructorDoc[] constructors()

      Returns the constructors declared by this type.

      Returns:
        the declared constructors

    - #### public GroovyConstructorDoc[] constructors(boolean filter)

      Returns the constructors declared by this type, optionally applying the active visibility filter.

      Parameters:
        `filter` - `true` to include only visible constructors, `false` to include all constructors
      Returns:
        the matching constructors

    - #### public GroovyClassDoc containingClass()

      Returns the containing class for this element.

      Returns:
        the containing class, or `null` if this element is not nested within a class

    - #### public GroovyPackageDoc containingPackage()

      Returns the package that contains this element.

      Returns:
        the containing package, or `null` if none is available

    - #### public boolean definesSerializableFields()

      Indicates whether this type explicitly defines serializable fields metadata.

      Returns:
        `true` if serializable fields are defined explicitly

    - #### public GroovyFieldDoc[] enumConstants()

      Returns the enum constants declared by this type.

      Returns:
        the declared enum constants

    - #### public boolean equals(Object obj)

      {@inheritDoc}

    - #### public GroovyFieldDoc[] fields()

      Returns the fields declared by this type.

      Returns:
        the declared fields

    - #### public GroovyFieldDoc[] fields(boolean filter)

      Returns the fields declared by this type, optionally applying the active visibility filter.

      Parameters:
        `filter` - `true` to include only visible fields, `false` to include all fields
      Returns:
        the matching fields

    - #### public GroovyClassDoc findClass(String className)

      Resolves a referenced class name from the context of this type.

      Parameters:
        `className` - the class name to resolve
      Returns:
        the matching class documentation, or `null` if it cannot be resolved

    - #### public String firstSentenceCommentText()

      Returns the first sentence of the processed comment text.

      Returns:
        the first sentence summary

    - #### public GroovyClassDoc getDelegate()

      Returns the wrapped component-type class doc.

    - #### public String getFullPathName()

    - #### public String getRawCommentText()

      Returns the raw documentation comment for this element.

      Returns:
        the raw comment text

    - #### public String getRelativeRootPath()

    - #### public int hashCode()

      {@inheritDoc}

    - #### public GroovyClassDoc[] importedClasses()

      Returns the explicitly imported classes visible to this type.

      Returns:
        the imported classes

    - #### public GroovyPackageDoc[] importedPackages()

      Returns the imported packages visible to this type.

      Returns:
        the imported packages

    - #### public GroovyClassDoc[] innerClasses()

      Returns the nested classes declared by this type.

      Returns:
        the nested classes

    - #### public GroovyClassDoc[] innerClasses(boolean filter)

      Returns the nested classes declared by this type, optionally applying the active visibility filter.

      Parameters:
        `filter` - `true` to include only visible nested classes, `false` to include all nested classes
      Returns:
        the matching nested classes

    - #### public GroovyType[] interfaceTypes()

      Returns the interface types directly implemented or extended by this type.

      Returns:
        the direct interface types

    - #### public GroovyClassDoc[] interfaces()

      Returns the interfaces directly implemented or extended by this type.

      Returns:
        the direct interfaces

    - #### public boolean isAbstract()

      Indicates whether this type is declared abstract.

      Returns:
        `true` if this type is abstract

    - #### public boolean isAnnotationType()

      Indicates whether this element represents an annotation type.

      Returns:
        `true` if this element is an annotation type

    - #### public boolean isAnnotationTypeElement()

      Indicates whether this element represents an annotation type member.

      Returns:
        `true` if this element is an annotation type element

    - #### public boolean isClass()

      Indicates whether this element represents a class.

      Returns:
        `true` if this element is a class

    - #### public boolean isConstructor()

      Indicates whether this element represents a constructor.

      Returns:
        `true` if this element is a constructor

    - #### public boolean isDeprecated()

      Indicates whether this element is marked as deprecated.

      Returns:
        `true` if this element is deprecated

    - #### public boolean isEnum()

      Indicates whether this element represents an enum type.

      Returns:
        `true` if this element is an enum

    - #### public boolean isEnumConstant()

      Indicates whether this element represents an enum constant.

      Returns:
        `true` if this element is an enum constant

    - #### public boolean isError()

      Indicates whether this element represents an error type.

      Returns:
        `true` if this element is an error

    - #### public boolean isException()

      Indicates whether this element represents an exception type.

      Returns:
        `true` if this element is an exception

    - #### public boolean isExternalizable()

      Indicates whether this type implements Externalizable.

      Returns:
        `true` if this type is externalizable

    - #### public boolean isField()

      Indicates whether this element represents a field.

      Returns:
        `true` if this element is a field

    - #### public boolean isFinal()

      Indicates whether this element is declared `final`.

      Returns:
        `true` if this element is final

    - #### public boolean isIncluded()

      Indicates whether this element is included in the generated output.

      Returns:
        `true` if this element is included

    - #### public boolean isInterface()

      Indicates whether this element represents an interface.

      Returns:
        `true` if this element is an interface

    - #### public boolean isMethod()

      Indicates whether this element represents a method.

      Returns:
        `true` if this element is a method

    - #### public boolean isOrdinaryClass()

      Indicates whether this element represents an ordinary class.

      Returns:
        `true` if this element is an ordinary class

    - #### public boolean isPackagePrivate()

      Indicates whether this element has package-private visibility.

      Returns:
        `true` if this element is package-private

    - #### public boolean isPrimitive()

      Indicates whether this type is a Java primitive type.

      Returns:
        `true` if this type is primitive

    - #### public boolean isPrivate()

      Indicates whether this element is declared `private`.

      Returns:
        `true` if this element is private

    - #### public boolean isProtected()

      Indicates whether this element is declared `protected`.

      Returns:
        `true` if this element is protected

    - #### public boolean isPublic()

      Indicates whether this element is declared `public`.

      Returns:
        `true` if this element is public

    - #### public boolean isRecord()

      Indicates whether this element represents a record type.

      Returns:
        `true` if this element is a record

    - #### public boolean isSerializable()

      Indicates whether this type implements Serializable.

      Returns:
        `true` if this type is serializable

    - #### public boolean isStatic()

      Indicates whether this element is declared `static`.

      Returns:
        `true` if this element is static

    - #### public GroovyMethodDoc[] methods()

      Returns the methods declared by this type.

      Returns:
        the declared methods

    - #### public GroovyMethodDoc[] methods(boolean filter)

      Returns the methods declared by this type, optionally applying the active visibility filter.

      Parameters:
        `filter` - `true` to include only visible methods, `false` to include all methods
      Returns:
        the matching methods

    - #### public int modifierSpecifier()

      Returns the modifier flags for this element.

      Returns:
        the modifier bit set

    - #### public String modifiers()

      Returns the rendered modifier text for this element.

      Returns:
        the modifier text

    - #### public String name()

      Returns the simple name of this documented element.

      Returns:
        the element name

    - #### public GroovyFieldDoc[] properties()

      Returns the Groovy properties declared by this type.

      Returns:
        the declared properties

    - #### public String qualifiedName()

      Returns the fully qualified name of this element.

      Returns:
        the qualified name

    - #### public String qualifiedTypeName()

      The qualified name of this type excluding any dimension information. For example, a two-dimensional array of String returns "`java.lang.String`".

    - #### public GroovyFieldDoc[] serializableFields()

      Returns the fields that participate in serialization.

      Returns:
        the serializable fields

    - #### public GroovyMethodDoc[] serializationMethods()

      Returns the methods related to custom serialization.

      Returns:
        the serialization methods

    - #### public void setRawCommentText(String arg0)

      Replaces the raw documentation comment for this element.

      Parameters:
        `arg0` - the raw comment text to store

    - #### public String simpleTypeName()

      The unqualified name of this type excluding any dimension or nesting information. For example, the class `Outer.Inner` returns "`Inner`".

    - #### public boolean subclassOf(GroovyClassDoc gcd)

      Determines whether this type is a subclass of the supplied candidate.

      Parameters:
        `gcd` - the candidate superclass
      Returns:
        `true` if this type is a subclass of `gcd`

    - #### public GroovyClassDoc superclass()

      Returns the direct superclass of this type.

      Returns:
        the direct superclass, or `null` if none exists

    - #### public GroovyType superclassType()

      Returns the direct superclass as a type reference.

      Returns:
        the direct superclass type, or `null` if none exists

    - #### public String toString()

      The qualified name including any dimension information. For example, a two-dimensional array of String returns "`java.lang.String[][]`", and the parameterized type `List<Integer>` returns "`java.util.List<java.lang.Integer>`".

    - #### public String typeName()

      The unqualified name of this type excluding any dimension information. For example, a two-dimensional array of String returns "`String`".